function foo = Affiche_matrice(donnees, larg_grille,
                               haut_grille,
                               zoom, dim_proj)
  if nargin < 3                         # Par dfaut:
    haut_grille = larg_grille;          # grille carree
  endif
  if nargin < 4                         # Par defaut:
    zoom = 1;                           # pas de zoom
  endif
  if nargin < 5                         # Par default:
    dim_proj = size(donnees, 2);        # affiche toutes
  endif                                 # les colonnes
  taille_image = sqrt(dim_proj);
  ## Cadre blanc de 1px, et marge noire de 3px
  w = taille_image * zoom + 8;
  foo = zeros(haut_grille * w, larg_grille * w);
  for l = 0 : haut_grille - 1,
    for c = 0 : larg_grille - 1,
      n = l * larg_grille + c;
      foo(l * w + [1:w-6] + 3, c * w + [1:w - 6] + 3) = 255 * ones(w - 6);
      foo(l * w + [1:w-8] + 4, c * w + [1:w - 8] + 4) = \
          zoom_matrice(mon_reshape(donnees(n+1,1:dim_proj), taille_image, taille_image), zoom);
    endfor
  endfor
endfunction
